;PIC12F683   STAR TREK

; @           _____________
;  @VDD 5V  =1;            ;8= 0V VSS
;    20MHz   =2;(GP5)  (GP0);7=
;    20MHz   =3;(GP4)  (GP1);6=
; STRAT{^=4;(GP3)  (GP2);5=PWM ó@@@@@@@@ @@
; @           _____________@@@@@@@@@@@   



	list      p=12f683	; |󎞂ɃXgt@C܂
	#include <p12f683.inc>	; 12F683p`t@Cǂݍ݂܂
	errorlevel  -302	; |󎞂302G[oȂ悤ɂ܂

	__CONFIG _CP_OFF & _CPD_OFF & _MCLRE_OFF & _WDT_OFF & _PWRTE_ON & _HS_OSC	;20MHz

	radix	dec		; ȗ̐l\POiɂ܂B

	ORG	000H
	GOTO	INIT 

	ORG	004H
	GOTO	INT	


	RHYCNT1		EQU	20H
	RHYCNT2		EQU	21H
	RHYCNT3		EQU	22H
	HA1		EQU	23H
	HA2		EQU	24H
	HA3		EQU	25H
	TAN		EQU	26H
;			EQU	27H
;			EQU	28H
;			EQU	29H
;			EQU	2AH
;			EQU	2BH
;			EQU	2CH
;			EQU	2DH
;			EQU	2EH
;			EQU	2FH




	W_TEMP		EQU 	70H 
	STATUS_TEMP	EQU	71H
	PCLATH_TEMP	EQU	72H
	OVFL_C		EQU	73H
	DD		EQU	74H





;---- [` ----
INIT:

	BSF	STATUS,RP0			;BANK 1

	MOVLW   B'001000'			;0=, 1=, 2=PWM, 3=PB PLAY, 4=, 5=,
	MOVWF	TRISIO                      	;GPIO

	MOVLW   B'10000111'
	MOVWF	OPTION_REG
                       		
	MOVLW	B'00000000'			;0_, 000=Fosc/2, GP3, GP2, GP1, GP0,
	MOVWF	ANSEL

	MOVLW	B'01100000'			;0_, 110=4MHz, 0_, 0_, 0_, 0_, 
	MOVWF	OSCCON

	MOVLW	D'35'		;
	MOVWF	PR2		;PWM


	MOVLW	B'00000010'	;TMR2-PR2 v荞݋tO 
	MOVWF	PIE1					

	BCF	STATUS,RP0			;BANK 0

	MOVLW	B'00000111'			;GP2,GP1,GP0,
	MOVWF	CMCON0

	MOVLW	D'20'	;<<<<<<<<<<<<<<<<<<<e|	;
	MOVWF	OVFL_C
	
	BSF	INTCON,T0IE			;^C}
	BSF	INTCON,GIE			;S̊

	MOVLW	B'00001100'	;
	MOVWF	CCP1CON		;PWM[h

	MOVLW	B'00000100'	;
	MOVWF	T2CON		;Timer2 ON ,vXP[:[1:1]


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	DOL	EQU	D'240'		;DOL240ƌӖBiȉj		
	DOSL	EQU	D'227'
	REL	EQU	D'214'
	RESL	EQU	D'202'
	MIL	EQU	D'190'
	FAL	EQU	D'180'
	FASL	EQU	D'170'
	SOL	EQU	D'160'
	SOSL	EQU	D'151'
	RAL	EQU	D'143'
	RASL	EQU	D'135'
	SIL	EQU	D'127'
	DO	EQU	D'120'
	DOS	EQU	D'113'
	RE	EQU	D'107'
	RE_S	EQU	D'101'
	MI	EQU	D'95'
	FA	EQU	D'90'
	FAS	EQU	D'85'
	SO	EQU	D'80'
	SOS	EQU	D'76'
	RA	EQU	D'71'
	RAS	EQU	D'67'
	SI	EQU	D'64'	
	DOH	EQU	D'60'
	DOSH	EQU	D'57'
	REH	EQU	D'53'
	RESH	EQU	D'50'
	MIH	EQU	D'48'
	FAH	EQU	D'45'
	FASH	EQU	D'43'
	SOH	EQU	D'40'
	SOSH	EQU	D'38'
	RAH	EQU	D'36'
	RASH	EQU	D'34'
	SIH	EQU	D'32'
	DOHH	EQU	D'30'
	DOSHH	EQU	D'29'
	REHH	EQU	D'27'
	RESHH	EQU	D'25'
	MIHH	EQU	D'24'
	FAHH	EQU	D'23'
	FASHH	EQU	D'22'
	SOHH	EQU	D'20'
	SOSHH	EQU	D'19'
	RAHH	EQU	D'18'
	RASHH	EQU	D'17'
	SIHH	EQU	D'16'
	DOHHH	EQU	D'15'
	SOHHH	EQU	D'10'
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	CLRF	TMR0
	CLRF	TMR2
	CLRF	RHYCNT1
	CLRF	RHYCNT2
	CLRF	RHYCNT3
	CLRF	HA1
	CLRF	HA2
	CLRF	HA3
	CLRF	TAN
	CLRF	DD

	GOTO	MAIN000

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


; ---- 荞݃[` ----
INT:

@@@@@@@
	MOVWF	W_TEMP
	MOVF	STATUS,W
	MOVWF	STATUS_TEMP
	MOVF	PCLATH,W
	MOVWF	PCLATH_TEMP

	BCF	INTCON,T0IF

	DECFSZ	OVFL_C,F
	GOTO	INT_1

	BTFSS	DD,1
	GOTO	INT_01
	BTFSS	DD,2
	GOTO	INT_02
	GOTO	INT_03

INT_01
	MOVLW	D'20'	;<<<<<<<<<<<<<<<<<<<e|     
	MOVWF	OVFL_C	
	GOTO	INT_05
	
INT_02
	MOVLW	D'16'	;<<<<<<<<<<<<<<<<<<<e|
	MOVWF	OVFL_C	
	GOTO	INT_05

INT_03
	MOVLW	D'40'	;<<<<<<<<<<<<<<<<<<<e|
	MOVWF	OVFL_C	
	GOTO	INT_05


INT_05
	BSF	DD,0

INT_1
	MOVF	PCLATH_TEMP,W
	MOVWF	PCLATH
	MOVF	STATUS_TEMP,W
	MOVWF	STATUS
	SWAPF	W_TEMP,F
	SWAPF	W_TEMP,W
	RETFIE

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
MAIN000
	CLRF	TMR0
	CLRF	TMR2
	CLRF	RHYCNT1
	CLRF	RHYCNT2
	CLRF	RHYCNT3
	CLRF	HA1
	CLRF	HA2
	CLRF	HA3
	CLRF	TAN
	CLRF	DD

	
MAIN_START	
	BTFSC	GPIO,3		;	
	GOTO	MAIN_START	;
MAIN_START_1
	BTFSS	DD,0
	GOTO	MAIN_START_1
	BCF	DD,0
MAIN_START_2
	BTFSS	DD,0
	GOTO	MAIN_START_2
	BCF	DD,0
	GOTO 	MAIN001
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;	
MAIN001

	CALL	RHY1
	BSF	DD,1
	CALL	RHY2
	CALL	RHY3
	BSF	DD,2
	CALL	RHY4
	GOTO	MAIN000


MAIN002
	BTFSS	DD,0
	GOTO	MAIN002
	BCF	DD,0
MAIN002_1
	BTFSS	DD,0
	GOTO	MAIN002_1
	BCF	DD,0
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

RHY1

RHY1_0

RHY1_1_0
	BTFSS	DD,7
	CALL	RHY1_A
RHY1_1
	BTFSS	PIR1,TMR2IF
	GOTO	RHY1_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE_CHIM1
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT1,F
	GOTO	RHY1_2_0

	CALL	RHY1_TABLE1
	MOVWF	RHYCNT1

	INCF	HA1,F

	MOVLW	D'5'		;<<<<<<<<f[^	
	SUBWF	HA1,W
	BTFSS	STATUS,C
	GOTO	RHY1_2_0
	CLRF	HA1

RHY1_2_0
	BTFSS	DD,7
	CALL	RHY1_B
RHY1_2
	BTFSS	PIR1,TMR2IF
	GOTO	RHY1_2
	BCF	PIR1,TMR2IF

RHY1_2_2
	CALL	DATA_TABLE_CHIM2
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT2,F
	GOTO	RHY1_3_0

	CALL	RHY1_TABLE2
	MOVWF	RHYCNT2

	INCF	HA2,F

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	HA2,W
	BTFSS	STATUS,C
	GOTO	RHY1_3_0
	CLRF	HA2

RHY1_3_0
	BTFSS	DD,7
	CALL	RHY1_C

	BSF	DD,7
RHY1_3
	BTFSS	PIR1,TMR2IF
	GOTO	RHY1_3
	BCF	PIR1,TMR2IF

RHY1_3_2
	CALL	DATA_TABLE_SOUND3
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT3,F
	GOTO	RHY1_1

	CALL	RHY1_TABLE3
	MOVWF	RHYCNT3

	INCF	HA3,F

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	HA3,W
	BTFSS	STATUS,C
	GOTO	RHY1_1
	CLRF	HA3


	BTFSS	DD,0
	GOTO	RHY1_1

RHY1_4
	INCF	TAN,F
	BCF	DD,0

	MOVLW	D'108'		;<<<<<<<<f[^
	SUBWF	TAN,W
	BTFSS	STATUS,C
	GOTO	RHY1_0
	CLRF	TAN
	BCF	DD,7
	RETURN


RHY1_A
	CALL	RHY1_TABLE1
	MOVWF	RHYCNT1
	RETURN
RHY1_B
	CALL	RHY1_TABLE2
	MOVWF	RHYCNT2
	RETURN
RHY1_C
	CALL	RHY1_TABLE3
	MOVWF	RHYCNT3
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

RHY2

RHY2_0

RHY2_1_0
	BTFSS	DD,7
	CALL	RHY2_A
RHY2_1
	BTFSS	PIR1,TMR2IF
	GOTO	RHY2_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE_VO1
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT1,F
	GOTO	RHY2_2_0

	CALL	RHY2_TABLE1
	MOVWF	RHYCNT1

	INCF	HA1,F

	MOVLW	D'5'		;<<<<<<<<f[^	
	SUBWF	HA1,W
	BTFSS	STATUS,C
	GOTO	RHY2_2_0
	CLRF	HA1

RHY2_2_0
	BTFSS	DD,7
	CALL	RHY2_B
RHY2_2
	BTFSS	PIR1,TMR2IF
	GOTO	RHY2_2
	BCF	PIR1,TMR2IF

RHY2_2_2
	CALL	DATA_TABLE_SOUND2
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT2,F
	GOTO	RHY2_3_0

	CALL	RHY2_TABLE2
	MOVWF	RHYCNT2

	INCF	HA2,F

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	HA2,W
	BTFSS	STATUS,C
	GOTO	RHY2_3_0
	CLRF	HA2

RHY2_3_0
	BTFSS	DD,7
	CALL	RHY2_C

	BSF	DD,7
RHY2_3
	BTFSS	PIR1,TMR2IF
	GOTO	RHY2_3
	BCF	PIR1,TMR2IF

RHY2_3_2
	CALL	DATA_TABLE_TP3
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT3,F
	GOTO	RHY2_1

	CALL	RHY2_TABLE3
	MOVWF	RHYCNT3

	INCF	HA3,F

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	HA3,W
	BTFSS	STATUS,C
	GOTO	RHY2_1
	CLRF	HA3


	BTFSS	DD,0
	GOTO	RHY2_1

RHY2_4
	INCF	TAN,F
	BCF	DD,0

	MOVLW	D'64'		;<<<<<<<<f[^
	SUBWF	TAN,W
	BTFSS	STATUS,C
	GOTO	RHY2_0
	CLRF	TAN
	BCF	DD,7
	RETURN


RHY2_A
	CALL	RHY2_TABLE1
	MOVWF	RHYCNT1
	RETURN
RHY2_B
	CALL	RHY2_TABLE2
	MOVWF	RHYCNT2
	RETURN
RHY2_C
	CALL	RHY2_TABLE3
	MOVWF	RHYCNT3
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

RHY3

RHY3_0

RHY3_1_0
	BTFSS	DD,7
	CALL	RHY3_A
RHY3_1
	BTFSS	PIR1,TMR2IF
	GOTO	RHY3_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE_SOUND1
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT1,F
	GOTO	RHY3_2_0

	CALL	RHY3_TABLE1
	MOVWF	RHYCNT1

	INCF	HA1,F

	MOVLW	D'5'		;<<<<<<<<f[^	
	SUBWF	HA1,W
	BTFSS	STATUS,C
	GOTO	RHY3_2_0
	CLRF	HA1

RHY3_2_0
	BTFSS	DD,7
	CALL	RHY3_B
RHY3_2
	BTFSS	PIR1,TMR2IF
	GOTO	RHY3_2
	BCF	PIR1,TMR2IF

RHY3_2_2
	CALL	DATA_TABLE_VO2
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT2,F
	GOTO	RHY3_3_0

	CALL	RHY3_TABLE2
	MOVWF	RHYCNT2

	INCF	HA2,F

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	HA2,W
	BTFSS	STATUS,C
	GOTO	RHY3_3_0
	CLRF	HA2

RHY3_3_0
	BTFSS	DD,7
	CALL	RHY3_C

	BSF	DD,7
RHY3_3
	BTFSS	PIR1,TMR2IF
	GOTO	RHY3_3
	BCF	PIR1,TMR2IF

RHY3_3_2
	CALL	DATA_TABLE_TP3
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT3,F
	GOTO	RHY3_1

	CALL	RHY3_TABLE3
	MOVWF	RHYCNT3

	INCF	HA3,F

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	HA3,W
	BTFSS	STATUS,C
	GOTO	RHY3_1
	CLRF	HA3


	BTFSS	DD,0
	GOTO	RHY3_1

RHY3_4
	INCF	TAN,F
	BCF	DD,0

	MOVLW	D'47'		;<<<<<<<<f[^
	SUBWF	TAN,W
	BTFSS	STATUS,C
	GOTO	RHY3_0
	CLRF	TAN
	BCF	DD,7
	RETURN


RHY3_A
	CALL	RHY3_TABLE1
	MOVWF	RHYCNT1
	RETURN
RHY3_B
	CALL	RHY3_TABLE2
	MOVWF	RHYCNT2
	RETURN
RHY3_C
	CALL	RHY3_TABLE3
	MOVWF	RHYCNT3
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

RHY4

RHY4_0

RHY4_1_0
	BTFSS	DD,7
	CALL	RHY4_A
RHY4_1
	BTFSS	PIR1,TMR2IF
	GOTO	RHY4_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE_SOUND1
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT1,F
	GOTO	RHY4_2_0

	CALL	RHY4_TABLE1
	MOVWF	RHYCNT1

	INCF	HA1,F

	MOVLW	D'5'		;<<<<<<<<f[^	
	SUBWF	HA1,W
	BTFSS	STATUS,C
	GOTO	RHY4_2_0
	CLRF	HA1

RHY4_2_0
	BTFSS	DD,7
	CALL	RHY4_B
RHY4_2
	BTFSS	PIR1,TMR2IF
	GOTO	RHY4_2
	BCF	PIR1,TMR2IF

RHY4_2_2
	CALL	DATA_TABLE_VO2
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT2,F
	GOTO	RHY4_3_0

	CALL	RHY4_TABLE2
	MOVWF	RHYCNT2

	INCF	HA2,F

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	HA2,W
	BTFSS	STATUS,C
	GOTO	RHY4_3_0
	CLRF	HA2

RHY4_3_0
	BTFSS	DD,7
	CALL	RHY4_C

	BSF	DD,7
RHY4_3
	BTFSS	PIR1,TMR2IF
	GOTO	RHY4_3
	BCF	PIR1,TMR2IF

RHY4_3_2
	CALL	DATA_TABLE_TP3
	MOVWF	CCPR1L	

	DECFSZ	RHYCNT3,F
	GOTO	RHY4_1

	CALL	RHY4_TABLE3
	MOVWF	RHYCNT3

	INCF	HA3,F

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	HA3,W
	BTFSS	STATUS,C
	GOTO	RHY4_1
	CLRF	HA3


	BTFSS	DD,0
	GOTO	RHY4_1

RHY4_4
	INCF	TAN,F
	BCF	DD,0

	MOVLW	D'11'		;<<<<<<<<f[^
	SUBWF	TAN,W
	BTFSS	STATUS,C
	GOTO	RHY4_0
	CLRF	TAN
	BCF	DD,7
	RETURN


RHY4_A
	CALL	RHY4_TABLE1
	MOVWF	RHYCNT1
	RETURN
RHY4_B
	CALL	RHY4_TABLE2
	MOVWF	RHYCNT2
	RETURN
RHY4_C
	CALL	RHY4_TABLE3
	MOVWF	RHYCNT3
	RETURN


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	300H

DATA_TABLE_CHIM1
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	HA1,W
	ADDWF	PCL,F

	RETLW	D'4'	;
	RETLW	D'14'	;
	RETLW	D'24'	;
	RETLW	D'14'	;
	RETLW	D'4'	;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	310H

DATA_TABLE_CHIM2
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	HA2,W
	ADDWF	PCL,F


	RETLW	D'19'	;
	RETLW	D'29'	;
	RETLW	D'24'	;
	RETLW	D'9'	;
	RETLW	D'9'	;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	320H

DATA_TABLE_TP3
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	HA3,W
	ADDWF	PCL,F

	RETLW	D'30'	;
	RETLW	D'20'	;
	RETLW	D'2'	;
	RETLW	D'20'	;
	RETLW	D'10'	;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	330H

DATA_TABLE_VO1
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	HA1,W
	ADDWF	PCL,F

	RETLW	D'30'	;
	RETLW	D'3'	;
	RETLW	D'20'	;
	RETLW	D'10'	;
	RETLW	D'15'	;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	340H

DATA_TABLE_VO2
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	HA2,W
	ADDWF	PCL,F

	RETLW	D'28'	;
	RETLW	D'3'	;
	RETLW	D'20'	;
	RETLW	D'10'	;
	RETLW	D'15'	;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	350H

DATA_TABLE_SOUND1
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	HA1,W
	ADDWF	PCL,F

	RETLW	D'24'	;
	RETLW	D'33'	;
	RETLW	D'11'	;
	RETLW	D'1'	;
	RETLW	D'7'	;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	360H

DATA_TABLE_SOUND2
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	HA2,W
	ADDWF	PCL,F

	RETLW	D'24'	;
	RETLW	D'33'	;
	RETLW	D'17'	;
	RETLW	D'1'	;
	RETLW	D'7'	;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	370H

DATA_TABLE_SOUND3
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	HA3,W
	ADDWF	PCL,F

	RETLW	D'30'	;
	RETLW	D'14'	;
	RETLW	D'1'	;
	RETLW	D'14'	;
	RETLW	D'30'	;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	400H

RHY1_TABLE1
	MOVLW	H'04'
	MOVWF	PCLATH	; e[u 0x400`0x4FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	SIHH		;1
	RETLW	SIH	
	RETLW	SIH	
	RETLW	SIH		;2
	RETLW	SIH	
	RETLW	SIH	
	RETLW	SIH		;3
	RETLW	SIH	
	RETLW	SIH	
	RETLW	SIH		;4
	RETLW	SIH	
	RETLW	SIH	

	RETLW	RAH		;5
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;6
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;7
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;8
	RETLW	RAH
	RETLW	RAH

	RETLW	RAH		;9
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;10
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;11
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;12
	RETLW	RAH
	RETLW	RAH

	RETLW	RAH		;13
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;14
	RETLW	RAH
	RETLW	RAH
	RETLW	RESHH		;15
	RETLW	RESHH
	RETLW	RESHH
	RETLW	RESHH		;16
	RETLW	RESHH
	RETLW	RESHH

	RETLW	RESHH		;17
	RETLW	RESHH
	RETLW	RESHH
	RETLW	RESHH		;18
	RETLW	RESHH
	RETLW	RESHH
	RETLW	DOSH		;19
	RETLW	DOSH
	RETLW	DOSH
	RETLW	DOSH		;20
	RETLW	DOSH
	RETLW	DOSH

	RETLW	DOSH		;21
	RETLW	DOSH
	RETLW	DOSH
	RETLW	DOSH		;22
	RETLW	DOSH
	RETLW	DOSH
	RETLW	DOSH		;23
	RETLW	DOSH
	RETLW	DOSH
	RETLW	FAH		;24
	RETLW	FAH
	RETLW	FAH

	RETLW	FAH		;25
	RETLW	FAH
	RETLW	FAH
	RETLW	SOH		;26
	RETLW	SOH
	RETLW	SOH
	RETLW	SOH		;27
	RETLW	SOH
	RETLW	SOH
	RETLW	SOH		;28
	RETLW	SOH
	RETLW	SOH

	RETLW	SOH		;29
	RETLW	SOH
	RETLW	SOH
	RETLW	FAH		;30
	RETLW	FAH
	RETLW	FAH
	RETLW	FAH		;31
	RETLW	FAH
	RETLW	FAH
	RETLW	DOSHH		;32
	RETLW	DOSH
	RETLW	DOSH

	RETLW	DOSH		;33
	RETLW	DOSH
	RETLW	DOSH
	RETLW	DOSH		;34
	RETLW	DOSH
	RETLW	DOSH
	RETLW	DOSH		;35
	RETLW	DOSH
	RETLW	DOSH
	RETLW	DOSH		;36
	RETLW	DOSH
	RETLW	DOSH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	480H

RHY1_TABLE2
	MOVLW	H'04'
	MOVWF	PCLATH	; e[u 0x400`0x4FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	SI		;1
	RETLW	SI	
	RETLW	SI	
	RETLW	SI		;2
	RETLW	SI	
	RETLW	SI	
	RETLW	FASH		;3
	RETLW	FASH
	RETLW	FASH
	RETLW	FASH		;4
	RETLW	FASH
	RETLW	FASH

	RETLW	FASH		;5
	RETLW	FASH
	RETLW	FASH
	RETLW	FASH		;6
	RETLW	FASH
	RETLW	FASH
	RETLW	DOSH		;7
	RETLW	DOSH
	RETLW	DOSH
	RETLW	DOSH		;8
	RETLW	DOSH
	RETLW	DOSH

	RETLW	DOSH		;9
	RETLW	DOSH
	RETLW	DOSH
	RETLW	DOSH		;10
	RETLW	DOSH
	RETLW	DOSH
	RETLW	DOSH		;11
	RETLW	DOSH
	RETLW	DOSH
	RETLW	DOSH		;12
	RETLW	DOSH
	RETLW	DOSH

	RETLW	FASH		;13
	RETLW	FASH
	RETLW	FASH
	RETLW	FASH		;14
	RETLW	FASH
	RETLW	FASH
	RETLW	RESH		;15
	RETLW	RESH
	RETLW	RESH
	RETLW	RESH		;16
	RETLW	RESH
	RETLW	RESH

	RETLW	RASH		;17
	RETLW	RASH
	RETLW	RASH
	RETLW	RASH		;18
	RETLW	RASH
	RETLW	RASH
	RETLW	RASH		;19
	RETLW	RASH
	RETLW	RASH
	RETLW	RASH		;20
	RETLW	RASH
	RETLW	RASH

	RETLW	FAH		;21
	RETLW	FAH
	RETLW	FAH
	RETLW	FAH		;22
	RETLW	FAH
	RETLW	FAH
	RETLW	FAH		;23
	RETLW	FAH
	RETLW	FAH
	RETLW	RASH		;24
	RETLW	RASH
	RETLW	RASH

	RETLW	RASH		;25
	RETLW	RASH
	RETLW	RASH
	RETLW	SO		;26
	RETLW	SO
	RETLW	SO
	RETLW	SO		;27
	RETLW	SO
	RETLW	SO
	RETLW	REH		;28
	RETLW	REH
	RETLW	REH

	RETLW	REH		;29
	RETLW	REH
	RETLW	REH
	RETLW	REH		;30
	RETLW	REH
	RETLW	REH
	RETLW	REH		;31
	RETLW	REH
	RETLW	REH
	RETLW	FAHH		;32
	RETLW	FAH
	RETLW	FAH

	RETLW	FAH		;33
	RETLW	FAH
	RETLW	FAH
	RETLW	FAH		;34
	RETLW	FAH
	RETLW	FAH
	RETLW	FAH		;35
	RETLW	FAH
	RETLW	FAH
	RETLW	FAH		;36
	RETLW	FAH
	RETLW	FAH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	500H

RHY1_TABLE3
	MOVLW	H'05'
	MOVWF	PCLATH	; e[u 0x500`0x5FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	SIH		;1
	RETLW	SIL	
	RETLW	SIL
	RETLW	SIL		;2
	RETLW	SIL	
	RETLW	SIL	
	RETLW	FASH		;3
	RETLW	SIL	
	RETLW	SIL
	RETLW	SIL		;4
	RETLW	SIL	
	RETLW	SIL	

	RETLW	RAH		;1
	RETLW	SIL	
	RETLW	SIL
	RETLW	SIL		;2
	RETLW	SIL	
	RETLW	SIL	
	RETLW	DOSH		;3
	RETLW	SIL
	RETLW	SIL
	RETLW	SIL		;4
	RETLW	SIL	
	RETLW	SIL	

	RETLW	SI		;9
	RETLW	SI
	RETLW	MIH
	RETLW	RAH		;10
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;11
	RETLW	RAH
	RETLW	SOSH
	RETLW	MIH		;12
	RETLW	DOSH
	RETLW	FASH

	RETLW	SIH		;13
	RETLW	SIH
	RETLW	SIH
	RETLW	SIH		;14
	RETLW	SIH
	RETLW	SIH
	RETLW	RESHH		;15
	RETLW	RE_S
	RETLW	RE_S
	RETLW	RE_S		;16
	RETLW	RE_S
	RETLW	RE_S

	RETLW	RASH		;17
	RETLW	RE_S
	RETLW	RE_S
	RETLW	RE_S		;18
	RETLW	RE_S
	RETLW	RE_S
	RETLW	DOSHH		;19
	RETLW	RE_S
	RETLW	RE_S
	RETLW	RESH		;20
	RETLW	RESH
	RETLW	SOSH

	RETLW	DOSHH		;21
	RETLW	DOSHH
	RETLW	DOSHH
	RETLW	DOSHH		;22
	RETLW	DOSHH
	RETLW	DOHH
	RETLW	SOSH		;23
	RETLW	FAH
	RETLW	RASH
	RETLW	RESHH		;24
	RETLW	RESHH
	RETLW	RESHH

	RETLW	RESHH		;25
	RETLW	RE_S
	RETLW	RESHH
	RETLW	SOHH		;26
	RETLW	SO
	RETLW	SO
	RETLW	SO		;27
	RETLW	SO
	RETLW	SO
	RETLW	REHH		;28
	RETLW	SO
	RETLW	SO

	RETLW	SO		;29
	RETLW	SO
	RETLW	SO
	RETLW	FAHH		;30
	RETLW	SO
	RETLW	SO
	RETLW	SO		;31
	RETLW	SO
	RETLW	SO
	RETLW	RAHH		;32
	RETLW	RAH
	RETLW	RAH

	RETLW	RAH		;33
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;34
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;35
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH		;36
	RETLW	RAH
	RETLW	RAH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	5AAH

RHY2_TABLE1
	MOVLW	H'05'
	MOVWF	PCLATH	; e[u 0x500`0x5FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	SOH		;1
	RETLW	SOH
	RETLW	SOH
	RETLW	SOH
	RETLW	FAHH	
	RETLW	FAHH
	RETLW	FAHH	
	RETLW	FAHH
	RETLW	FAHH		;2
	RETLW	FAHH		
	RETLW	MIHH
	RETLW	MIHH
	RETLW	REHH		
	RETLW	DOHH		
	RETLW	DOHH
	RETLW	SIH
	RETLW	RASH		;3
	RETLW	RASH
	RETLW	RASH
	RETLW	RASH		
	RETLW	RASH
	RETLW	RASH	
	RETLW	RASH
	RETLW	RASH	
	RETLW	RASH		;4
	RETLW	RASH
	RETLW	RASH
	RETLW	RASH		
	RETLW	RAS
	RETLW	RAS	
	RETLW	RAS
	RETLW	RAS	
	RETLW	SOH		;5
	RETLW	SOH
	RETLW	SOH
	RETLW	SOH	
	RETLW	SOHH		
	RETLW	SOHH
	RETLW	SOHH		
	RETLW	SOHH
	RETLW	SIH		;6
	RETLW	SOHH		
	RETLW	FAHH
	RETLW	FAHH
	RETLW	MIHH		
	RETLW	REHH		
	RETLW	REHH
	RETLW	DOHH
	RETLW	SIH		;7
	RETLW	SIH	
	RETLW	SIH	
	RETLW	SIH			
	RETLW	SIH	
	RETLW	SIH	
	RETLW	SIH	
	RETLW	SIH	
	RETLW	SIH		;8
	RETLW	SIH	
	RETLW	SIH	
	RETLW	SIH			
	RETLW	SIH	
	RETLW	SIH	
	RETLW	RASH	
	RETLW	RASH	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	600H

RHY2_TABLE2
	MOVLW	H'06'
	MOVWF	PCLATH	; e[u 0x600`0x6FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	MI		;1
	RETLW	MI
	RETLW	MI
	RETLW	MI		
	RETLW	MI		
	RETLW	MI
	RETLW	SOH		
	RETLW	SOH
	RETLW	SOHHH		;2
	RETLW	SOHH		
	RETLW	SOHH
	RETLW	SOHH
	RETLW	SOHH		
	RETLW	SOHH
	RETLW	SOHH
	RETLW	SOHH
	RETLW	SOS		;3
	RETLW	SOS
	RETLW	SOSH
	RETLW	SOSH		
	RETLW	RASH		
	RETLW	RESHH
	RETLW	RESHH		
	RETLW	FASHH
	RETLW	DOHHH		;4
	RETLW	DOHHH		
	RETLW	DOHHH
	RETLW	DOHHH
	RETLW	RASHH		
	RETLW	RASHH		
	RETLW	SOSHH
	RETLW	SOSHH
	RETLW	MI		;1
	RETLW	MI
	RETLW	MI
	RETLW	MI		
	RETLW	MI		
	RETLW	MI
	RETLW	SOH		
	RETLW	SOH
	RETLW	SOHHH		;6
	RETLW	SOHH
	RETLW	SOHH
	RETLW	SOHH
	RETLW	SOHH	
	RETLW	SOHH
	RETLW	SOHH
	RETLW	SOHH	
	RETLW	SOHH		;7
	RETLW	SOHH
	RETLW	RESH
	RETLW	RESH		
	RETLW	FAH		
	RETLW	FAH
	RETLW	SOH		
	RETLW	RAH
	RETLW	SIH		;8
	RETLW	SIH		
	RETLW	MIHH
	RETLW	MIHH
	RETLW	MIHH		
	RETLW	MIHH		
	RETLW	DOSH
	RETLW	DOSH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	655H

RHY2_TABLE3
	MOVLW	H'06'
	MOVWF	PCLATH	; e[u 0x600`0x6FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	DOL		;1
	RETLW	DO
	RETLW	DOL
	RETLW	DO	
	RETLW	DO		
	RETLW	DO	
	RETLW	SOL		
	RETLW	SO
	RETLW	DOL		;2
	RETLW	DO
	RETLW	DOL
	RETLW	DO	
	RETLW	DO		
	RETLW	DO	
	RETLW	SOL		
	RETLW	SO
	RETLW	DOS		;3
	RETLW	FAS
	RETLW	DOS
	RETLW	FAS		
	RETLW	FAS		
	RETLW	FAS
	RETLW	SOSL		
	RETLW	SOS
	RETLW	DOS		;4
	RETLW	FAS
	RETLW	DOS
	RETLW	FAS		
	RETLW	FAS		
	RETLW	FAS
	RETLW	FASL		
	RETLW	FAS
	RETLW	DOL		;5
	RETLW	DO
	RETLW	DOL
	RETLW	DO	
	RETLW	DO		
	RETLW	DO	
	RETLW	SOL		
	RETLW	SO
	RETLW	DOL		;6
	RETLW	DO
	RETLW	DOL
	RETLW	DO	
	RETLW	DO		
	RETLW	DO	
	RETLW	DOL		
	RETLW	DO
	RETLW	SOL		;7
	RETLW	SO
	RETLW	SOL
	RETLW	SO		
	RETLW	SO		
	RETLW	SO		
	RETLW	FAL			
	RETLW	FA
	RETLW	SOL		;8
	RETLW	SO
	RETLW	SOL
	RETLW	SO		
	RETLW	SO		
	RETLW	SO		
	RETLW	FASL			
	RETLW	FAS

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	6AAH

RHY3_TABLE1
	MOVLW	H'06'
	MOVWF	PCLATH	; e[u 0x600`0x6FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	RAH		;1
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH
	RETLW	RAH	
	RETLW	RAH
	RETLW	SIH		
	RETLW	SIH
	RETLW	DOHH		;2
	RETLW	DOHH		
	RETLW	REHH
	RETLW	REHH
	RETLW	MIHH		
	RETLW	FAHH		
	RETLW	FAHH
	RETLW	MIHH
	RETLW	SOHH		;3
	RETLW	SOHH
	RETLW	SOHH
	RETLW	SOHH		
	RETLW	SOHH
	RETLW	SOHH	
	RETLW	SOHH
	RETLW	SOHH	
	RETLW	RASHH		;4
	RETLW	RASHH		
	RETLW	RASHH
	RETLW	RASHH
	RETLW	RASHH		
	RETLW	RASHH		
	RETLW	RAHH
	RETLW	RAHH
	RETLW	SOHH		;5
	RETLW	SOHH
	RETLW	SOHH
	RETLW	SOHH		
	RETLW	RAH		
	RETLW	RAH
	RETLW	RAH		
	RETLW	RAH
	RETLW	RAH		;6
	RETLW	RAH		
	RETLW	RAH
	RETLW	RAH
	RETLW	REHH		
	RETLW	REHH		
	RETLW	REHH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	700H

RHY3_TABLE2
	MOVLW	H'07'
	MOVWF	PCLATH	; e[u 0x700`0x6FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	FAL		;1
	RETLW	FA
	RETLW	FAL
	RETLW	FA
	RETLW	FA	
	RETLW	FA
	RETLW	FAL		
	RETLW	FA	
	RETLW	RE		;2
	RETLW	REH		
	RETLW	SIL
	RETLW	SI
	RETLW	SI
	RETLW	SI		
	RETLW	SIL
	RETLW	SI
	RETLW	MI		;3
	RETLW	MIH
	RETLW	MI
	RETLW	MIH
	RETLW	MIH		
	RETLW	REH
	RETLW	MIH		
	RETLW	FAH
	RETLW	SOH		;4
	RETLW	SOH		
	RETLW	FAH
	RETLW	FAH
	RETLW	MIH		
	RETLW	MIH		
	RETLW	DOS
	RETLW	DOS
	RETLW	DOH		;5
	RETLW	DOH
	RETLW	DOH
	RETLW	DOH		
	RETLW	FAH		
	RETLW	FAH
	RETLW	FAH		
	RETLW	FAH
	RETLW	DOH		;6
	RETLW	DOH		
	RETLW	DOH
	RETLW	DOH
	RETLW	FAH		
	RETLW	FAH
	RETLW	FAH		

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	755H

RHY3_TABLE3
	MOVLW	H'07'
	MOVWF	PCLATH	; e[u 0x700`0x7FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	REL		;1
	RETLW	RE
	RETLW	REL
	RETLW	RE		
	RETLW	RE		
	RETLW	RE		
	RETLW	REL	
	RETLW	RE		
	RETLW	SOL		;2		
	RETLW	SO
	RETLW	SOL
	RETLW	SO	
	RETLW	SO		
	RETLW	SO		
	RETLW	SOL		
	RETLW	SO	
	RETLW	DOL		;3
	RETLW	DO
	RETLW	DOL
	RETLW	DO		
	RETLW	DO		
	RETLW	DO		
	RETLW	DOL		
	RETLW	DO		
	RETLW	MIL		;4
	RETLW	MI		
	RETLW	MIL
	RETLW	MI
	RETLW	MI		
	RETLW	MI		
	RETLW	MIL
	RETLW	MI
	RETLW	RE		;5
	RETLW	RE
	RETLW	RE
	RETLW	RE		
	RETLW	SO		
	RETLW	SO
	RETLW	SOL		
	RETLW	SOL
	RETLW	SO		;6
	RETLW	SO
	RETLW	SO
	RETLW	SO		
	RETLW	SO		
	RETLW	SO
	RETLW	SO		

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	7AAH

RHY4_TABLE1
	MOVLW	H'07'
	MOVWF	PCLATH	; e[u 0x700`0x7FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	REHH	

	RETLW	SOH		;1
	RETLW	SOH
	RETLW	FAHH
	RETLW	FAHH		
	RETLW	DOHHH		
	RETLW	DOHHH
	RETLW	DOHHH		
	RETLW	DOHHH
	RETLW	DOHHH		;2
	RETLW	DOHHH	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	7CAH

RHY4_TABLE2
	MOVLW	H'07'
	MOVWF	PCLATH	; e[u 0x700`0x7FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	FAH

	RETLW	DOHH		;1
	RETLW	REHH
	RETLW	REHH
	RETLW	RAHH		
	RETLW	SOHH		
	RETLW	SOHH
	RETLW	SOHH		
	RETLW	SOHH
	RETLW	SOHH		;2
	RETLW	SOHH			

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	7EAH

RHY4_TABLE3
	MOVLW	H'07'
	MOVWF	PCLATH	; e[u 0x700`0x7FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TAN,W
	ADDWF	PCL,F

	RETLW	SO	

	RETLW	MI		;1
	RETLW	DO
	RETLW	DO
	RETLW	DO		
	RETLW	MI		
	RETLW	MI
	RETLW	MI		
	RETLW	MI
	RETLW	MI		;2
	RETLW	MI		

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;




	END

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
